.acknowledgement-modal {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #000;
    color: #fff;
    z-index: 9999;
    transform: translateY(100%);
    transition: transform 0.5s ease, opacity 0.5s ease;
    opacity: 0;
    --foreground: white;
    --background: black;
    margin-top: 0;
    visibility: hidden;
}

.acknowledgement-modal.active {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}

.acknowledgement-modal.dismissing {
    transform: translateY(100%);
    opacity: 0;
}

.acknowledgement-modal:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    height: 13.33vw;
    background-color: var(--background);
    color: var(--foreground);
    mask-size: 100% 100%;
    mask-position: center;
    mask-repeat: no-repeat;
    z-index: -10;
    mask-image: url('../images/wave-black-top.svg');
    top: 0;
    transform: translateY(-99%);
}

.acknowledgement-content {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    padding-top: 0;
    text-align: center;
}

.acknowledgement-close {
    position: absolute;
    top: -20px;
    right: 20px;
    background: none;
    border: none;
    color: #fff;
    font-size: 60px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.acknowledgement-text {
    padding: 10px 30px;
}

@media (max-width: 768px) {
    .acknowledgement-content {
        padding: 15px;
    }
    
    .acknowledgement-text {
        padding: 5px 25px;
    }
} 